# Class: CamelCaseConverter

## montage/core/converter/camel-case-converter~ CamelCaseConverter

#### new CamelCaseConverter()

Converts string to camel case.

Source:
  - core/converter/camel-case-converter.js, line 9

### Extends

- Converter

### Members

#### allowPartialConversion :boolean

Specifies whether the converter allows partial conversion.

##### Type:

- boolean

Inherited From:
  - Converter#allowPartialConversion
Default Value:
  - true
Source:
  - core/converter/converter.js, line 83

### Methods

#### convert()

Converts values from the input domain into the output range.

Inherited From:
  - Converter#convert
Default Value:
  - null
Source:
  - core/converter/converter.js, line 92

#### revert()

Optionally, reverts values from the output range, back into the input range. This may not be possible with high fidelity depending on the relationship between these domains.

Inherited From:
  - Converter#revert
Default Value:
  - null
Source:
  - core/converter/converter.js, line 104